#ifndef MYLABEL_H
#define MYLABEL_H

#include <QLabel>

class MyLabel : public QLabel
{
    Q_OBJECT
public:
    explicit MyLabel(const QString & text, QWidget * parent = 0, Qt::WindowFlags f = 0);

signals:
    void mouseReleasedForTabWidget();

protected:
    void mouseMoveEvent ( QMouseEvent * event );
    void mouseReleaseEvent ( QMouseEvent * event );
    void mousePressEvent ( QMouseEvent * event );

private:
    int relative_x;
    int relative_y;
};

#endif // MYLABEL_H 
